--- chrome/app/chrome_dll_main.cc
+++ chrome/app/chrome_dll_main.cc
@@ -23,7 +23,7 @@
 #include <unistd.h>
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include <gdk/gdk.h>
 #include <glib.h>
 #include <gtk/gtk.h>
@@ -56,7 +56,7 @@
 #include "chrome/common/sandbox_init_wrapper.h"
 #include "ipc/ipc_switches.h"
 
-#if defined(OS_LINUX)
+#if defined(USE_NSS)
 #include "base/nss_init.h"
 #include "chrome/browser/renderer_host/render_sandbox_host_linux.h"
 #include "chrome/browser/zygote_host_linux.h"
@@ -168,7 +168,7 @@ bool HasDeprecatedArguments(const std::wstring& command_line) {
 
 #endif  // OS_WIN
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 static void GLibLogHandler(const gchar* log_domain,
                            GLogLevelFlags log_level,
                            const gchar* message,
@@ -223,7 +223,7 @@ static void SetUpGLibLogHandler() {
                       NULL);
   }
 }
-#endif  // defined(OS_LINUX)
+#endif  // defined(USE_X11)
 
 #if defined(OS_WIN)
 extern "C" int _set_new_mode(int);
@@ -363,7 +363,7 @@ int ChromeMain(int argc, char** argv) {
     return 1;
 #endif
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   // Show the man page on --help or -h.
   if (parsed_command_line.HasSwitch("help") ||
       parsed_command_line.HasSwitch("h")) {
@@ -582,7 +582,7 @@ int ChromeMain(int argc, char** argv) {
     rv = NaClMain(main_params);
 #endif
   } else if (process_type == switches::kZygoteProcess) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
     if (ZygoteMain(main_params)) {
       // Zygote::HandleForkRequest may have reallocated the command
       // line so update it here with the new version.
@@ -598,7 +598,7 @@ int ChromeMain(int argc, char** argv) {
     NOTIMPLEMENTED();
 #endif
   } else if (process_type.empty()) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
     const char* sandbox_binary = NULL;
     struct stat st;
 
@@ -636,7 +636,7 @@ int ChromeMain(int argc, char** argv) {
     // gtk_init() can change |argc| and |argv|.
     gtk_init(&argc, &argv);
     SetUpGLibLogHandler();
-#endif  // defined(OS_LINUX)
+#endif  // defined(OS_NIX)
 
     ScopedOleInitializer ole_initializer;
     rv = BrowserMain(main_params);
diff --git chrome/app/chrome_main_uitest.cc chrome/app/chrome_main_uitest.cc
index ab79407..449ee1d 100644
